Skip to content
// FLEET
us-west-1GB300 · liquid
eu-central-1B300 · liquid
apac-sg-1GB200 · NVL72
me-uae-1VR200 · Rubin
// API REFERENCE

Databases API

Generated from the OpenAPI 3.1 spec. Authenticate with a bearer sk_segal_… key.

GET/api/v1/databasesList databases

Responses

  • 200 Databases.
  • 401

Example

bash
curl -X GET https://api.segalcompute.com/api/v1/databases \
  -H "Authorization: Bearer sk_segal_..."
Try itSandbox · mock data
POST/api/v1/databasesCreate a database

Body

ParamTypeRequiredDescription
namestringyes
enginepostgres | mysql | kv | vectoryes
tierdev | standard | productionno

Responses

  • 201 The created database.
  • 401

Example

bash
curl -X POST https://api.segalcompute.com/api/v1/databases \
  -H "Authorization: Bearer sk_segal_..." \
  -H "Content-Type: application/json" \
  -d '{"name":"string","engine":"postgres","tier":"dev"}'
Try itSandbox · mock data